Bug 1446073 (CVE-2017-8287) - CVE-2017-8287 freetype: heap-based buffer overflow related to the t1_builder_close_contour function
Summary: CVE-2017-8287 freetype: heap-based buffer overflow related to the t1_builder_...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-8287
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1446075 1446074 1446076
Blocks: 1446078
TreeView+ depends on / blocked
 
Reported: 2017-04-27 08:19 UTC by Adam Mariš
Modified: 2019-09-29 14:11 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 09:07:34 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-04-27 08:19:38 UTC
FreeType 2 before 2017-03-26 has an out-of-bounds write caused by a heap-based buffer overflow related to the t1_builder_close_contour function in psaux/psobjs.c.

Upstream patch:

https://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=3774fc08b502c3e685afca098b6e8a195aded6a0

Bug report:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=941

Comment 1 Adam Mariš 2017-04-27 08:20:24 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1446074]


Created mingw-freetype tracking bugs for this issue:

Affects: epel-7 [bug 1446076]
Affects: fedora-all [bug 1446075]

Comment 3 Stefan Cornelius 2017-08-22 09:07:50 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.